/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla.org
 *
 * The Initial Developer of the Original Code is
 * Sébastien Desvignes
 * Portions created by the Initial Developer are Copyright (C) 2004
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Daniel Glazman (glazman@disruptive-innovations.com), on behalf of Lindows.com
 *   Sébastien Desvignes (bob@ophiuchus.org)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

function addApril(foo)
{

  var editor = GetCurrentEditor();
  if (!editor)
    return;

  editor.beginTransaction();

  switch (foo)
  {
    case 1:
      var leTexte = '<a href="http://www.april.org/adherer"><img src="http://www.april.org/files/membre-de-april-120x120.png" alt="Promouvoir et soutenir le logiciel libre"/></a>';
    break;

    case 2:
      var leTexte = '<a href="http://www.april.org/adherer"><img src="http://www.april.org/files/membre-de-april-125x125.png" alt="Promouvoir et soutenir le logiciel libre"/></a>';
    break;

    case 3:
      var leTexte = '<a href="http://www.april.org/adherer"><img src="http://www.april.org/files/association/documents/bannieres/banniereadm4.php" alt="Promouvoir et soutenir le logiciel libre"/></a>';
    break;

    case 4:
      var leTexte = '<a href="http://www.april.org"><img src="http://www.april.org/files/association/documents/bannieres/boutons/april_soutien3_88x31.png" alt="Promouvoir et soutenir le logiciel libre"/></a>';
    break;

    default:
      var leTexte = '<a href="http://www.april.org/adherer"><img src="http://www.april.org/files/association/documents/bannieres/banniereadm6.php" alt="Promouvoir et soutenir le logiciel libre"/></a>';
    break;
  }



  editor.insertHTML(leTexte);

  editor.endTransaction();
}
